import Tool from "./tool";
import { state } from "../editor";
import { TOOLS } from "../state";

export default class SelectTool extends Tool {
    constructor(key) {
        super("Select", "select", key);
    }

    onNodeClick(node) {
        state.setSelectedItem(node);
    }

    onLinkClick(link) {
        state.setSelectedItem(link);
    }

    onBackgroundClick(event, positions) {
        state.setSelectedItem(undefined);
    }

    onKeyDown(key) {
        if (key.keyCode === 17) {
            state.setTool(TOOLS.collect);
        }
    }
}
